<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/id_cons_one"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#0ec897">

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/id_battery_lottie"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:lottie_autoPlay="true"
            app:lottie_loop="true" />

        <TextView
            android:id="@+id/id_scanning"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="19dp"
            android:text="Analyzing battery status"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toTopOf="@+id/id_scan"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            tools:ignore="HardcodedText" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/id_scan"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="18dp"
            android:layout_marginBottom="140dp"
            android:gravity="center"
            app:layout_constraintBottom_toBottomOf="parent">

            <com.noober.background.view.BLView
                android:layout_width="4dp"
                android:layout_height="4dp"
                app:bl_shape="oval"
                app:bl_solid_color="@color/white" />

            <com.noober.background.view.BLView
                android:layout_width="4dp"
                android:layout_height="4dp"
                android:layout_marginHorizontal="2dp"
                app:bl_shape="oval"
                app:bl_solid_color="@color/white" />

            <com.noober.background.view.BLView
                android:layout_width="4dp"
                android:layout_height="4dp"
                app:bl_shape="oval"
                app:bl_solid_color="@color/white" />
        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/id_cons_battery_finish"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#0ec897"
        android:visibility="gone">

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/id_battery_finish"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:lottie_autoPlay="true"
            app:lottie_rawRes="@raw/new_complete" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="296dp"
            android:text="Optimization completed"
            android:textColor="@color/white"
            android:textSize="15sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            tools:ignore="HardcodedText" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:id="@+id/ll_content"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:visibility="gone">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:background="@color/white">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="10dp"
                android:src="@drawable/iv_return"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Battery Info"
                android:textColor="#ff000000"
                android:textSize="19sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="HardcodedText" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.core.widget.NestedScrollView
            android:id="@+id/nsv"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="@color/white"
            android:paddingBottom="10dp">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="200dp">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:id="@+id/image_power"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/batteryl"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintHorizontal_bias="0.4"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:layout_constraintVertical_bias="0.2" />

                    <TextView
                        android:id="@+id/tv_level"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="6.5dp"
                        android:text="85%"
                        android:textColor="#ff000000"
                        android:textSize="25sp"
                        android:textStyle="bold"
                        app:layout_constraintBottom_toBottomOf="@+id/image_power"
                        app:layout_constraintStart_toEndOf="@+id/image_power"
                        app:layout_constraintTop_toTopOf="@+id/image_power"
                        app:layout_constraintVertical_bias="0.32"
                        tools:ignore="HardcodedText" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="60dp"
                        android:layout_marginStart="24dp"
                        android:layout_marginEnd="24dp"
                        android:layout_marginBottom="15.5dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent">

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/tv_temp"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="25°C"
                                android:textColor="#ff000000"
                                android:textSize="15sp"
                                android:textStyle="bold"
                                tools:ignore="HardcodedText" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="Temperature"
                                android:textColor="#ff999999"
                                android:textSize="15sp"
                                tools:ignore="HardcodedText" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <View
                            android:layout_width="1dp"
                            android:layout_height="match_parent"
                            android:layout_marginVertical="5dp"
                            android:background="#EEEEEE" />


                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/tv_ma"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="2500mAh"
                                android:textColor="#ff000000"
                                android:textSize="15sp"
                                android:textStyle="bold"
                                tools:ignore="HardcodedText" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="Milliampere"
                                android:textColor="#ff999999"
                                android:textSize="15sp"
                                tools:ignore="HardcodedText" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <View
                            android:layout_width="1dp"
                            android:layout_height="match_parent"
                            android:layout_marginVertical="5dp"
                            android:background="#EEEEEE" />


                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/tv_vo"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="3.6V"
                                android:textColor="#ff000000"
                                android:textSize="15sp"
                                android:textStyle="bold"
                                tools:ignore="HardcodedText" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="Voltage"
                                android:textColor="#ff999999"
                                android:textSize="15sp"
                                tools:ignore="HardcodedText" />

                        </androidx.appcompat.widget.LinearLayoutCompat>


                    </androidx.appcompat.widget.LinearLayoutCompat>

                </androidx.constraintlayout.widget.ConstraintLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="9dp"
                    android:background="#EEEEEE" />

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="130dp">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:id="@+id/appCompatImageView9"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_marginTop="14.5dp"
                        android:src="@drawable/time"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintHorizontal_bias="0.045"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/appCompatTextView2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="7dp"
                        android:text="Expected usage time"
                        android:textColor="#ff000000"
                        android:textSize="15sp"
                        app:layout_constraintBottom_toBottomOf="@+id/appCompatImageView9"
                        app:layout_constraintStart_toEndOf="@+id/appCompatImageView9"
                        app:layout_constraintTop_toTopOf="@+id/appCompatImageView9"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:id="@+id/tv_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="12dp"
                        android:text="12 H 23 M"
                        android:textColor="#ff000000"
                        android:textSize="19sp"
                        android:textStyle="bold"
                        app:layout_constraintStart_toStartOf="@+id/appCompatTextView2"
                        app:layout_constraintTop_toBottomOf="@+id/appCompatTextView2"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Reasonably use the following functions to increase standby time"
                        android:textColor="#ff999999"
                        android:textSize="12sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="@+id/appCompatImageView9"
                        app:layout_constraintTop_toBottomOf="@+id/tv_time"
                        tools:ignore="HardcodedText" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="9dp"
                    android:background="#EEEEEE" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="30dp"
                    android:orientation="vertical">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/cl_wifi"
                        android:layout_width="match_parent"
                        android:layout_height="80dp"
                        android:visibility="gone">

                        <ImageView
                            android:id="@+id/appCompatImageView10"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/hos"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintHorizontal_bias="0.045"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            tools:ignore="ContentDescription" />


                        <TextView
                            android:id="@+id/appCompatTextView3"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="4dp"
                            android:text="Turn off the hotspot"
                            android:textColor="#ff000000"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            app:layout_constraintBottom_toBottomOf="@+id/appCompatImageView10"
                            app:layout_constraintStart_toEndOf="@+id/appCompatImageView10"
                            app:layout_constraintTop_toTopOf="@+id/appCompatImageView10"
                            tools:ignore="HardcodedText" />


                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/switch_one"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="15.5dp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            app:thumbTint="#fff"
                            app:trackTint="@drawable/track_select" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:background="#EEEEEE"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="@+id/switch_one"
                            app:layout_constraintStart_toStartOf="@+id/appCompatImageView10" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="80dp"
                        android:visibility="gone">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/iv_blue"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/lanya"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintHorizontal_bias="0.045"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />


                        <TextView
                            android:id="@+id/tv_blue"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="4dp"
                            android:text="Turn off bluetooth"
                            android:textColor="#ff000000"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            app:layout_constraintBottom_toBottomOf="@+id/iv_blue"
                            app:layout_constraintStart_toEndOf="@+id/iv_blue"
                            app:layout_constraintTop_toTopOf="@+id/iv_blue"
                            tools:ignore="HardcodedText" />


                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/switch_two"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="15.5dp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            app:thumbTint="#fff"
                            app:trackTint="@drawable/track_select" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:background="#EEEEEE"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="@+id/switch_two"
                            app:layout_constraintStart_toStartOf="@+id/iv_blue" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="80dp">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/iv_light"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/turn"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintHorizontal_bias="0.045"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />


                        <TextView
                            android:id="@+id/tv_light"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="4dp"
                            android:text="Turn on flashlight"
                            android:textColor="#ff000000"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            app:layout_constraintBottom_toBottomOf="@+id/iv_light"
                            app:layout_constraintStart_toEndOf="@+id/iv_light"
                            app:layout_constraintTop_toTopOf="@+id/iv_light"
                            tools:ignore="HardcodedText" />


                        <androidx.appcompat.widget.SwitchCompat

                            android:id="@+id/switch_three"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="15.5dp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            app:thumbTint="#fff"
                            app:trackTint="@drawable/track_select" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:background="#EEEEEE"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="@+id/switch_three"
                            app:layout_constraintStart_toStartOf="@+id/iv_light" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="80dp">

                        <ImageView
                            android:id="@+id/iv_gps"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/daohang"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintHorizontal_bias="0.045"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            tools:ignore="ContentDescription" />


                        <TextView
                            android:id="@+id/tv_gps"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="4dp"
                            android:text="Turn off GPS"
                            android:textColor="#ff000000"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            app:layout_constraintBottom_toBottomOf="@+id/iv_gps"
                            app:layout_constraintStart_toEndOf="@+id/iv_gps"
                            app:layout_constraintTop_toTopOf="@+id/iv_gps"
                            tools:ignore="HardcodedText" />


                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/switch_four"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="15.5dp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            app:thumbTint="#fff"
                            app:trackTint="@drawable/track_select" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:background="#EEEEEE"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="@+id/switch_four"
                            app:layout_constraintStart_toStartOf="@+id/iv_gps" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </androidx.appcompat.widget.LinearLayoutCompat>


            </androidx.appcompat.widget.LinearLayoutCompat>

        </androidx.core.widget.NestedScrollView>

        <TextView
            android:id="@+id/bt_ok"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginStart="43dp"
            android:layout_marginEnd="43dp"
            android:layout_marginBottom="40dp"
            android:background="@color/theme_color"
            android:gravity="center"
            android:text="Go it"
            android:textAllCaps="false"
            android:textColor="#ffffffff"
            android:textSize="19sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            tools:ignore="HardcodedText" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>